Introduction
Organisations and venues
Marketing
Workflows
Going live
Guests
Guests are where all of the data lives. With these requests, you're able to search for guests and create new guests within Stampede. This is great if your app collects data and you would like to send it to Stampede.
Fetch/search guests
GET
/v1/guestsQuery Parameters
| Name | Type |
|---|---|
search | String |
limit | Date |
cursor | String |
{
data: {
id: string;
organization_id: string;
profile_id: number;
last_interacted_at: string;
created_at: string;
data_opt_in_at: string;
sms_opt_in_at: string;
email_opt_in_at: string;
user_profile: {
email: string;
first: string;
id: number;
phone: string;
last: string;
};
organization_profile_tags: {
id: string;
organization_registration_id: string;
tag_id: string;
}[];
}[];
links: {
first: string | null;
last: string | null;
next: string | null;
prev: string | null;
};
}Fetch a single guest with it's ID
GET
/v1/guests/:guest_idQuery Parameters
| Name | Type | Description |
|---|---|---|
guest_idrequired | String | The ID of the guest |
{
id: string;
organization_id: string;
profile_id: number;
last_interacted_at: string;
created_at: string;
data_opt_in_at: string | null;
sms_opt_in_at: string | null;
email_opt_in_at: string;
user_profile: {
email: string;
id: number;
verified: number;
first: string | null;
last: string | null;
phone: string | null;
lat: number | null;
lng: number | null;
birth_day: number | null;
birth_month: number | null;
postcode: string | null;
country: string | null;
gender: string | null;
};
organization_registration_personalisation_choice: any[];
custom_question_answers: any[];
}Create a new guest
POST
/v1/guestsRequest Body
| Name | Type | Description |
|---|---|---|
emailrequired | String | The guest email address. It must be a valid email format. |
first | String | The first name of the guest |
last | String | The last name of the guest |
privacy.datarequired | Boolean | Is the user opted into giving out there data |
privacy.marketing.emailrequired | Boolean | Is the user opted in to email marketing |
privacy.marketing.smsrequired | string | Is the user opted in to sms marketing |
gender | "m" \ | "f" \ |
phone | E.164 | The phone number of the guest |
{
id: string;
organization_id: string;
profile_id: number;
last_interacted_at: string;
created_at: string;
data_opt_in_at: string;
sms_opt_in_at: string;
email_opt_in_at: string;
user_profile: {
first: string | null;
last: string | null;
email: string;
id: number;
};
};